# $Revision: 1.11 $, $Date: 2002/07/29 21:12:04 $
Summary:	libstrfunc - library for manipulating strings
Summary(pl):	libstrfunc - biblioteka do manipulowania stringami
Name:		libstrfunc
Version:	7.1.0
Release:	3
License:	BSD-like
Group:		Libraries
Source0:	http://www.spelio.net.ru/soft/%{name}-%{version}.tar.gz
Patch0:		%{name}-ac_am.patch
URL:		http://www.spelio.net.ru/soft/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Handy library for manipulating strings, string arrays, buffers, CGI
forms, config files et cetera. Handles base64, quoted-printable,
url_encode, mime-words and other encoded data.

%description -l pl
Porczna biblioteka do manipulowania stringami, tablicami, buforami,
formularzami CGI, plikami konfiguracyjnymi et cetera.

%package devel
Summary:	Header files and development documentation for libstrfunc
Summary(pl):	Pliki nagwkowe i dokumentacja do libstrfunc
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files and development documentation for libstrfunc.

%description devel -l pl
Pliki nagwkowe i dokumentacja do libstrfunc.

%package static
Summary:	libstrfunc - static library
Summary(pl):	libstrfunc - biblioteka statyczna
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static library.

%description static -l pl
Biblioteka statyczna.

%prep
%setup -q
%patch0 -p1

%build
rm -f missing
cp -f /usr/share/automake/config.* .
%{__libtoolize}
aclocal
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*

%files devel
%defattr(644,root,root,755)
%doc README AUTHORS COPYRIGHT ChangeLog
%{_libdir}/*.so
%{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: libstrfunc.spec,v $
Revision 1.11  2002/07/29 21:12:04  kloczek
- release 3: more macroc and use new %dc.

Revision 1.10  2002/04/16 12:58:12  marcus
- rel.2.

Revision 1.9  2002/03/27 11:35:31  roman
s/BSDish/BSD-like in License

Revision 1.8  2002/03/27 10:39:23  roman
- License: BSD like --> License: BSDish

Revision 1.7  2002/02/23 03:36:23  kloczek
- adapterized.

Revision 1.6  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/02/02 20:25:32  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.4  2002/01/18 02:13:42  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/11/14 11:46:18  filon
- changed to %%%configure2_13, to make it build

Revision 1.2  2001/05/21 17:32:52  kloczek
- seems License is BSD like,
- cosmetics.

Revision 1.1  2001/05/20 16:21:56  michuz
- initial release
